Gemini 3 Pro Image Preview · Edit
Tích hợp
gemini-3-pro-image-preview/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/gemini-3-pro-image-preview/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/gemini-3-pro-image-preview/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/gemini-3-pro-image-preview/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/vi/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "gemini-3-pro-image-preview/edit",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
}
Gọi mô hình Gemini 3 Pro Image Preview · Edit (gemini-3-pro-image-preview/edit) qua Doitong API. Tài liệu cho tác nhân: https://doitong.com/vi/developers/models/gemini-3-pro-image-preview/edit.md
POST https://api.doitong.ru/v1/run/gemini-3-pro-image-preview/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
Nếu trạng thái phản hồi là "queued" hoặc "running", hãy thăm dò GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 cho đến khi trạng thái là "succeeded"; tệp nằm trong outputs[].url. POST https://api.doitong.ru/v1/quote/gemini-3-pro-image-preview/edit với cùng nội dung sẽ trả về giá chính xác trước khi chạy.
Yêu cầu này: 0,15 $ 150 tín dụng API · ≈ 15,70 ₽ Chạy trên trang này
Khóa API mới của bạn. Khóa này chỉ hiển thị lúc này và đã được chèn vào mã cũng như trường khóa API bên dưới. Hãy giữ bí mật: không bao giờ đưa khóa này vào mã chạy trong trình duyệt.
Được tạo trên Doitong
Các tác phẩm công khai được cộng đồng Doitong tạo bằng Gemini 3 Pro Image Preview. Tái sử dụng một lời nhắc chỉ với một lần nhấp.
Strong rule: style --- 3D-анимация, Pixar стиль ---. Мужчина 55 лет, худощавый, с хищными чертами лица и холодными, расчетливыми глазами. Одет в такой же охотничий костюм, как и граф, но сидит он на нем более небрежно. На лице почти всегда тень нетерпения и жестокости. В стиле кинематографичный,...
Art style: 3D Pixar. Интерьер современного яркого торгового центра с зеркальными витринами и глянцевыми манекенами. На переднем плане Люба с широко раскрытыми глазами и восторженным выражением лица смотрит на пару изящных красных туфель на высоком каблуке, выставленных на подсвеченном пьедестале....
Strong rule: style --- 3D-анимация, Pixar стиль ---. Мужчина 50 лет, статный, с густыми усами и властным, но справедливым взглядом. Одет в дорогой твидовый костюм для охоты, идеально сшитый по фигуре. Держится с достоинством. В стиле кинематографичный, полуреалистичный digital painting с мягким...
Art style: Realistic Photography. Крупный план стола, за которым сидит веселая компания. Они услышали знакомую мелодию, смеются, активно подпевают и ищут песню в своих карточках. Один из мужчин радостно показывает пальцем на свою карточку. Эмоции: восторг, ностальгия....
Art style: Realistic Photography. Женщина за одним из столиков вскакивает с места, победно поднимая вверх свою карточку лото. Ее лицо сияет от счастья. Друзья за столом обнимают ее и поздравляют. На заднем плане другие гости аплодируют. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE...
Art style: 3D Pixar Animation. Caroline turns her back completely and glides away towards Arthur's group, leaving Lenny standing alone and dejected. His bright yellow color seems to dim slightly. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering...
Art style: 3D Pixar Animation, vibrant colors, cinematic l.... Boris the Banana holding a tiny glowing smartphone, looking pathetic. Lenia the Lemon stands next to him with a sour, deadpan expression, rolling his eyes. Soft glow from the phone screen illuminating Boris's face. 3D Pixar style....
Art style: 3D Pixar Animation, vibrant colors, cinematic l.... Dusty floor under a wooden kitchen table. Boris the Banana is holding a shiny golden sticker label that reads text. He looks completely shocked, eyes wide open. Cinematic lighting focusing on the golden label. 3D Pixar style....
Art style: 3D Pixar Animation, vibrant colors, cinematic l.... Dark, shadowy kitchen counter at night. Artur the Avocado stands in the shadows, whispering ominously. Karolina the Strawberry is peeking from behind a napkin holder in the background, looking confused and slightly scared. Moonlight...
Art style: 3D Pixar. Высокогорная расщелина в сером граните, в которую глубоко вогнан старинный кинжал с резной костяной рукоятью. Крупный план, камера под углом 45 градусов фокусируется на деталях металла. Суровое полуденное солнце создает резкие тени на камне. Атмосфера вечного покоя и...
Strong rule: style --- 3D Pixar ---. 30-летний черкесский воин с волевым лицом, пронзительными темными глазами и аккуратной короткой черной бородой. На нем надета традиционная черная шерстяная черкеска с начищенными серебряными газырями на груди и тонкий кожаный пояс с изящным кавказским...
Strong rule: style --- 3D-анимация, Pixar стиль ---. 10-летний мальчик, аристократ, со светлыми взъерошенными волосами и большими, любопытными голубыми глазами. Одет в элегантный, но удобный для ребенка костюм викторианской эпохи: вельветовые бриджи, светлая рубашка и короткий жакет. В стиле...
Strong rule: style --- 3D-анимация, Pixar стиль ---. Две лисицы с огненно-рыжим мехом и умными, блестящими глазами. Они выглядят более изящными и быстрыми, чем обычные английские лисы. Их движения полны дикой грации. В стиле кинематографичный, полуреалистичный digital painting с мягким светом,...
[Lighting: cinematic] Art style: 3D Pixar Animation, Zootopia aesthetic, highly detailed animation. 3D Pixar style. A Scottish Fold cat named Tanya stands petrified in front of a massive holographic vault. A menacing red digital timer on the vault reads 23:58:42. Her fur is standing on end in...
[Lighting: cinematic] Art style: 3D Pixar Animation, Zootopia aesthetic, highly detailed animation. 3D Pixar style. Desperate, Tanya the cat sits in a luxurious taxi speeding through a neon-lit city at night. She's on a video call, her face filled with anxiety, displayed on the phone screen....
[Lighting: cinematic] Art style: 3D Pixar Animation, Zootopia aesthetic, highly detailed animation. 3D Pixar style. Tanya the cat stands with her eyes closed, concentrating intensely. Around her, a beautiful and complex hologram of her 'Matrix of Destiny' forms, with the glowing numbers 13, 4,...
Tạo một yêu cầu
Các điều khiển được tạo từ lược đồ mô hình. Mã và giá sẽ cập nhật khi bạn thay đổi chúng.
/run/gemini-3-pro-image-preview/edit?wait=20
báo giá → 0,15 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/gemini-3-pro-image-preview/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/gemini-3-pro-image-preview/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/gemini-3-pro-image-preview/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "gemini-3-pro-image-preview/edit",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"wait_seconds": 20
}
}
}
Chạy yêu cầu này
Key của bạn vẫn nằm trong trình duyệt này: key chỉ được gửi đến Doitong API và chỉ được lưu trong localStorage nếu bạn chọn Ghi nhớ. Nhận khóa API
Giới thiệu về Gemini 3 Pro Image Preview · Edit
Chỉnh sửa hoặc kết hợp lại ảnh từ `image_urls` (bắt buộc) theo `prompt`. `aspect_ratio` mặc định là auto, `resolution` có thể là 1K, 2K hoặc 4K, đồng thời có thể bật `system_prompt` và tìm kiếm web. Trả về 1 đến 4 ảnh đã chỉnh sửa ở dạng PNG, JPEG hoặc WebP.
Tham số
Gửi tên chuẩn hoặc tên gốc, không gửi cả hai. Tên chuẩn
promptbắt buộc
num_imagestùy chọn
num_outputs
seedtùy chọn
aspect_ratiotùy chọn
output_formattùy chọn
safety_tolerancetùy chọn
image_urlsbắt buộc
images
system_prompttùy chọn
resolutiontùy chọn
limit_generationstùy chọn
enable_web_searchtùy chọn
Các tham số tệp nhận URL https:// công khai, URI data: tối đa 10 MB hoặc file_url của một tệp tải lên. Tệp
Đầu ra
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "gemini-3-pro-image-preview/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 150,
"usd": "0.15",
"charged": 150,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"description": "string"
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Các trường đầu ra
- images
- array of object {url, content_type, file_name, file_size, width, height}Các hình ảnh thu được sau khi chỉnh sửa.
- description
- stringMô tả đi kèm các hình ảnh được tạo sinh.
Các biến thể Gemini 3 Pro Image Preview khác
Thêm mô hình: Chỉnh sửa hình ảnh
Dành cho tác nhân AI: trang này ở dạng Markdown tại https://doitong.com/vi/developers/models/gemini-3-pro-image-preview/edit.md. Tất cả mô hình và hướng dẫn: https://doitong.com/developers/llms.txt






